Package io.dapr.client.domain

# Enum BulkSubscribeAppResponseStatus

java.lang.Object
java.lang.Enum<BulkSubscribeAppResponseStatus>
io.dapr.client.domain.BulkSubscribeAppResponseStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<BulkSubscribeAppResponseStatus>`

public enum BulkSubscribeAppResponseStatus extends Enum<BulkSubscribeAppResponseStatus>
Status of the message handled in bulk subscribe handler.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DROP`
`RETRY`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static BulkSubscribeAppResponseStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BulkSubscribeAppResponseStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final BulkSubscribeAppResponseStatus SUCCESS

### RETRY

public static final BulkSubscribeAppResponseStatus RETRY

### DROP

public static final BulkSubscribeAppResponseStatus DROP

## Method Details

### values

public static BulkSubscribeAppResponseStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BulkSubscribeAppResponseStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null